Returns the specified absence region.

GEThttps://api.awork.com/api/v1/absenceregions/{absenceRegionId}
GET https://api.awork.com/api/v1/absenceregions/{absenceRegionId}

Returns the absence region with public holiday details for its country and location.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

absenceRegionIdstringRequired
format: uuid

The id of the absence region.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

namestring or nullOptional

The name of the absence region, as specified by the user. It must be unique within the workspace.

countryCodestring or nullOptional

The country code of the absence region. It must be a valid ISO 3166-1 alpha-2 country code.

countrystring or nullOptional

The english name of the country.

locationCodestring or nullOptional

The location code of the absence region. It should be a valid ISO 3166-2 country subdivision code.

locationstring or nullOptional

The name of the location. It will always be in the related country's language.

isDefaultbooleanOptional

Indicates whether the absence region is the default absence region. Any new user will be assigned to the default absence region.

numberOfPublicHolidaysintegerOptional
format: int32

The number of public holidays in the absence region.

assignedUsersarray of string or nullOptional

The list of user ids assigned to the absence region.

publicHolidaysarray of object or nullOptional

The list of public holidays in the absence region.

Show 3 properties
datestringOptional
format: date-time

The date of the public holiday.

namestring or nullOptional

The English name of the public holiday.

localNamestring or nullOptional

The local (native) name of the public holiday.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation